# Uses of Class
org.apache.solr.common.params.ModifiableSolrParams

Packages that use ModifiableSolrParams
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.
org.apache.solr.common.params
Parameter constants and enumerations.

## Uses of ModifiableSolrParams in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl that return ModifiableSolrParams
Modifier and Type
Method
Description
`protected ModifiableSolrParams`
HttpSolrClientBase.`calculateQueryParams(Set<String> queryParamNames, ModifiableSolrParams wparams)`
`protected ModifiableSolrParams`
HttpSolrClientBase.`initializeSolrParams(SolrRequest<?> solrRequest, ResponseParser parserToUse)`
Methods in org.apache.solr.client.solrj.impl with parameters of type ModifiableSolrParams
Modifier and Type
Method
Description
`protected ModifiableSolrParams`
HttpSolrClientBase.`calculateQueryParams(Set<String> queryParamNames, ModifiableSolrParams wparams)`
`protected Map<String,? extends LBSolrClient.Req>`
CloudSolrClient.`createRoutes(UpdateRequest updateRequest, ModifiableSolrParams routableParams, DocCollection col, DocRouter router, Map<String,List<String>> urlMap, String routeField)`

## Uses of ModifiableSolrParams in org.apache.solr.client.solrj.request

Subclasses of ModifiableSolrParams in org.apache.solr.client.solrj.request
Modifier and Type
Class
Description
`class`
`SolrQuery`
This is an augmented SolrParams with get/set/add fields for common fields used in the Standard and Dismax request handlers
Fields in org.apache.solr.client.solrj.request declared as ModifiableSolrParams
Modifier and Type
Field
Description
`protected ModifiableSolrParams`
AbstractUpdateRequest.`params`
Methods in org.apache.solr.client.solrj.request that return ModifiableSolrParams
Modifier and Type
Method
Description
`ModifiableSolrParams`
AbstractUpdateRequest.`getParams()`
`ModifiableSolrParams`
SolrPing.`getParams()`
`default ModifiableSolrParams`
CollectionAdminRequest.RoutedAliasAdminRequest.`mergeCollParams(CollectionAdminRequest.Create createCollTemplate)`
Methods in org.apache.solr.client.solrj.request with parameters of type ModifiableSolrParams
Modifier and Type
Method
Description
`protected void`
CollectionAdminRequest.`addProperties(ModifiableSolrParams params, Properties props)`
`Map<String,LBSolrClient.Req>`
UpdateRequest.`getRoutesToCollection(DocRouter router, DocCollection col, Map<String,List<String>> urlMap, ModifiableSolrParams params, String idField)`
`void`
AbstractUpdateRequest.`setParams(ModifiableSolrParams params)`
Sets the parameters for this update request, overwriting any previous

## Uses of ModifiableSolrParams in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud with parameters of type ModifiableSolrParams
Modifier and Type
Method
Description
`void`
ReplicaCount.`writeProps(ModifiableSolrParams params)`
Add properties for replica counts as integers to Solr parameters.

## Uses of ModifiableSolrParams in org.apache.solr.common.params

Methods in org.apache.solr.common.params that return ModifiableSolrParams
Modifier and Type
Method
Description
`ModifiableSolrParams`
ModifiableSolrParams.`add(String name, String... val)`
Add the given values to any existing name
`static ModifiableSolrParams`
ModifiableSolrParams.`of(SolrParams params)`
If the input params are of type ModifiableSolrParams, returns the input, otherwise, constructs a new ModifiableSolrParams, copying values from the given params.
`ModifiableSolrParams`
ModifiableSolrParams.`set(String name, boolean val)`
`ModifiableSolrParams`
ModifiableSolrParams.`set(String name, int val)`
`ModifiableSolrParams`
ModifiableSolrParams.`set(String name, String... val)`
Replace any existing parameter with the given name.
`ModifiableSolrParams`
ModifiableSolrParams.`setNonNull(String name, Object val)`